Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::Assembly_Placement::processcollocation Class Reference

`#include <Assembly_Spec.h>`

Inheritance diagram for CIAO::Assembly_Placement::processcollocation:

[legend]
Collaboration diagram for CIAO::Assembly_Placement::processcollocation:

[legend]
List of all members.

## Public Member Functions
| processcollocation (const char *id, unsigned long cardinality=1)
virtual int | accept (Visitor &v ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Accepting a visitor.
virtual | ~processcollocation ()
void | rtcad_filename (const char *file)
const char * | rtcad_filename (void) const
## Protected Attributes
ACE_CString | rtcad_filename_

## Constructor & Destructor Documentation

ACE_INLINE CIAO::Assembly_Placement::processcollocation::processcollocation | ( | const char * | id,
|  | unsigned long | cardinality = `1`
| ) |

CIAO::Assembly_Placement::processcollocation::~processcollocation | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual int CIAO::Assembly_Placement::processcollocation::accept | ( | Visitor &v | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Accepting a visitor. Reimplemented from CIAO::Assembly_Placement::Container.

ACE_INLINE const char * CIAO::Assembly_Placement::processcollocation::rtcad_filename | ( | void |  | ) | const

| Accessor/mutator functions

ACE_INLINE void CIAO::Assembly_Placement::processcollocation::rtcad_filename | ( | const char * | file | ) |

| Accessor/mutator functions

## Member Data Documentation

ACE_CString CIAO::Assembly_Placement::processcollocation::rtcad_filename_`[protected]`

| Filename of CIAO's RT cad extension descriptors. We are deferring the parsing of this file until deployment time. Why? Because we want to separate the handling of the extension file from the "standard" feature. This filename is specified in the <extension> tag.

The documentation for this class was generated from the following files:

- Assembly_Spec.h
- Assembly_Spec.cpp
- Assembly_Spec.inl